XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

xprint.h
1 /*
2 * This file generated automatically from xprint.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __XPRINT_H
13 #define __XPRINT_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17
18 #ifdef __cplusplus
19 extern "C" {
20 #endif
21
22 #define XCB_XPRINT_MAJOR_VERSION 1
23 #define XCB_XPRINT_MINOR_VERSION 0
24
25 extern xcb_extension_t xcb_x_print_id;
26
27 typedef char xcb_x_print_string8_t;
28
32 typedef struct xcb_x_print_string8_iterator_t {
33 xcb_x_print_string8_t *data;
34 int rem;
35 int index;
36 } xcb_x_print_string8_iterator_t;
37
41 typedef struct xcb_x_print_printer_t {
42 uint32_t nameLen;
43 uint32_t descLen;
44 } xcb_x_print_printer_t;
45
49 typedef struct xcb_x_print_printer_iterator_t {
50 xcb_x_print_printer_t *data;
51 int rem;
52 int index;
53 } xcb_x_print_printer_iterator_t;
54
55 typedef uint32_t xcb_x_print_pcontext_t;
56
60 typedef struct xcb_x_print_pcontext_iterator_t {
61 xcb_x_print_pcontext_t *data;
62 int rem;
63 int index;
64 } xcb_x_print_pcontext_iterator_t;
65
66 typedef enum xcb_x_print_get_doc_t {
67 XCB_X_PRINT_GET_DOC_FINISHED = 0,
68 XCB_X_PRINT_GET_DOC_SECOND_CONSUMER = 1
69 } xcb_x_print_get_doc_t;
70
71 typedef enum xcb_x_print_ev_mask_t {
72 XCB_X_PRINT_EV_MASK_NO_EVENT_MASK = 0,
73 XCB_X_PRINT_EV_MASK_PRINT_MASK = 1,
74 XCB_X_PRINT_EV_MASK_ATTRIBUTE_MASK = 2
75 } xcb_x_print_ev_mask_t;
76
77 typedef enum xcb_x_print_detail_t {
78 XCB_X_PRINT_DETAIL_START_JOB_NOTIFY = 1,
79 XCB_X_PRINT_DETAIL_END_JOB_NOTIFY = 2,
80 XCB_X_PRINT_DETAIL_START_DOC_NOTIFY = 3,
81 XCB_X_PRINT_DETAIL_END_DOC_NOTIFY = 4,
82 XCB_X_PRINT_DETAIL_START_PAGE_NOTIFY = 5,
83 XCB_X_PRINT_DETAIL_END_PAGE_NOTIFY = 6
84 } xcb_x_print_detail_t;
85
86 typedef enum xcb_x_print_attr_t {
87 XCB_X_PRINT_ATTR_JOB_ATTR = 1,
88 XCB_X_PRINT_ATTR_DOC_ATTR = 2,
89 XCB_X_PRINT_ATTR_PAGE_ATTR = 3,
90 XCB_X_PRINT_ATTR_PRINTER_ATTR = 4,
91 XCB_X_PRINT_ATTR_SERVER_ATTR = 5,
92 XCB_X_PRINT_ATTR_MEDIUM_ATTR = 6,
93 XCB_X_PRINT_ATTR_SPOOLER_ATTR = 7
94 } xcb_x_print_attr_t;
95
99 typedef struct xcb_x_print_print_query_version_cookie_t {
100 unsigned int sequence;
101 } xcb_x_print_print_query_version_cookie_t;
102
104 #define XCB_X_PRINT_PRINT_QUERY_VERSION 0
105
109 typedef struct xcb_x_print_print_query_version_request_t {
110 uint8_t major_opcode;
111 uint8_t minor_opcode;
112 uint16_t length;
113 } xcb_x_print_print_query_version_request_t;
114
118 typedef struct xcb_x_print_print_query_version_reply_t {
119 uint8_t response_type;
120 uint8_t pad0;
121 uint16_t sequence;
122 uint32_t length;
123 uint16_t major_version;
124 uint16_t minor_version;
125 } xcb_x_print_print_query_version_reply_t;
126
130 typedef struct xcb_x_print_print_get_printer_list_cookie_t {
131 unsigned int sequence;
132 } xcb_x_print_print_get_printer_list_cookie_t;
133
135 #define XCB_X_PRINT_PRINT_GET_PRINTER_LIST 1
136
140 typedef struct xcb_x_print_print_get_printer_list_request_t {
141 uint8_t major_opcode;
142 uint8_t minor_opcode;
143 uint16_t length;
144 uint32_t printerNameLen;
145 uint32_t localeLen;
146 } xcb_x_print_print_get_printer_list_request_t;
147
151 typedef struct xcb_x_print_print_get_printer_list_reply_t {
152 uint8_t response_type;
153 uint8_t pad0;
154 uint16_t sequence;
155 uint32_t length;
156 uint32_t listCount;
157 uint8_t pad1[20];
158 } xcb_x_print_print_get_printer_list_reply_t;
159
161 #define XCB_X_PRINT_PRINT_REHASH_PRINTER_LIST 20
162
166 typedef struct xcb_x_print_print_rehash_printer_list_request_t {
167 uint8_t major_opcode;
168 uint8_t minor_opcode;
169 uint16_t length;
170 } xcb_x_print_print_rehash_printer_list_request_t;
171
173 #define XCB_X_PRINT_CREATE_CONTEXT 2
174
178 typedef struct xcb_x_print_create_context_request_t {
179 uint8_t major_opcode;
180 uint8_t minor_opcode;
181 uint16_t length;
182 uint32_t context_id;
183 uint32_t printerNameLen;
184 uint32_t localeLen;
185 } xcb_x_print_create_context_request_t;
186
188 #define XCB_X_PRINT_PRINT_SET_CONTEXT 3
189
193 typedef struct xcb_x_print_print_set_context_request_t {
194 uint8_t major_opcode;
195 uint8_t minor_opcode;
196 uint16_t length;
197 uint32_t context;
198 } xcb_x_print_print_set_context_request_t;
199
203 typedef struct xcb_x_print_print_get_context_cookie_t {
204 unsigned int sequence;
205 } xcb_x_print_print_get_context_cookie_t;
206
208 #define XCB_X_PRINT_PRINT_GET_CONTEXT 4
209
213 typedef struct xcb_x_print_print_get_context_request_t {
214 uint8_t major_opcode;
215 uint8_t minor_opcode;
216 uint16_t length;
217 } xcb_x_print_print_get_context_request_t;
218
222 typedef struct xcb_x_print_print_get_context_reply_t {
223 uint8_t response_type;
224 uint8_t pad0;
225 uint16_t sequence;
226 uint32_t length;
227 uint32_t context;
228 } xcb_x_print_print_get_context_reply_t;
229
231 #define XCB_X_PRINT_PRINT_DESTROY_CONTEXT 5
232
236 typedef struct xcb_x_print_print_destroy_context_request_t {
237 uint8_t major_opcode;
238 uint8_t minor_opcode;
239 uint16_t length;
240 uint32_t context;
241 } xcb_x_print_print_destroy_context_request_t;
242
246 typedef struct xcb_x_print_print_get_screen_of_context_cookie_t {
247 unsigned int sequence;
248 } xcb_x_print_print_get_screen_of_context_cookie_t;
249
251 #define XCB_X_PRINT_PRINT_GET_SCREEN_OF_CONTEXT 6
252
256 typedef struct xcb_x_print_print_get_screen_of_context_request_t {
257 uint8_t major_opcode;
258 uint8_t minor_opcode;
259 uint16_t length;
260 } xcb_x_print_print_get_screen_of_context_request_t;
261
265 typedef struct xcb_x_print_print_get_screen_of_context_reply_t {
266 uint8_t response_type;
267 uint8_t pad0;
268 uint16_t sequence;
269 uint32_t length;
270 xcb_window_t root;
271 } xcb_x_print_print_get_screen_of_context_reply_t;
272
274 #define XCB_X_PRINT_PRINT_START_JOB 7
275
279 typedef struct xcb_x_print_print_start_job_request_t {
280 uint8_t major_opcode;
281 uint8_t minor_opcode;
282 uint16_t length;
283 uint8_t output_mode;
284 } xcb_x_print_print_start_job_request_t;
285
287 #define XCB_X_PRINT_PRINT_END_JOB 8
288
292 typedef struct xcb_x_print_print_end_job_request_t {
293 uint8_t major_opcode;
294 uint8_t minor_opcode;
295 uint16_t length;
296 uint8_t cancel;
297 } xcb_x_print_print_end_job_request_t;
298
300 #define XCB_X_PRINT_PRINT_START_DOC 9
301
305 typedef struct xcb_x_print_print_start_doc_request_t {
306 uint8_t major_opcode;
307 uint8_t minor_opcode;
308 uint16_t length;
309 uint8_t driver_mode;
310 } xcb_x_print_print_start_doc_request_t;
311
313 #define XCB_X_PRINT_PRINT_END_DOC 10
314
318 typedef struct xcb_x_print_print_end_doc_request_t {
319 uint8_t major_opcode;
320 uint8_t minor_opcode;
321 uint16_t length;
322 uint8_t cancel;
323 } xcb_x_print_print_end_doc_request_t;
324
326 #define XCB_X_PRINT_PRINT_PUT_DOCUMENT_DATA 11
327
331 typedef struct xcb_x_print_print_put_document_data_request_t {
332 uint8_t major_opcode;
333 uint8_t minor_opcode;
334 uint16_t length;
335 xcb_drawable_t drawable;
336 uint32_t len_data;
337 uint16_t len_fmt;
338 uint16_t len_options;
339 } xcb_x_print_print_put_document_data_request_t;
340
344 typedef struct xcb_x_print_print_get_document_data_cookie_t {
345 unsigned int sequence;
346 } xcb_x_print_print_get_document_data_cookie_t;
347
349 #define XCB_X_PRINT_PRINT_GET_DOCUMENT_DATA 12
350
354 typedef struct xcb_x_print_print_get_document_data_request_t {
355 uint8_t major_opcode;
356 uint8_t minor_opcode;
357 uint16_t length;
358 xcb_x_print_pcontext_t context;
359 uint32_t max_bytes;
360 } xcb_x_print_print_get_document_data_request_t;
361
365 typedef struct xcb_x_print_print_get_document_data_reply_t {
366 uint8_t response_type;
367 uint8_t pad0;
368 uint16_t sequence;
369 uint32_t length;
370 uint32_t status_code;
371 uint32_t finished_flag;
372 uint32_t dataLen;
373 uint8_t pad1[12];
374 } xcb_x_print_print_get_document_data_reply_t;
375
377 #define XCB_X_PRINT_PRINT_START_PAGE 13
378
382 typedef struct xcb_x_print_print_start_page_request_t {
383 uint8_t major_opcode;
384 uint8_t minor_opcode;
385 uint16_t length;
386 xcb_window_t window;
387 } xcb_x_print_print_start_page_request_t;
388
390 #define XCB_X_PRINT_PRINT_END_PAGE 14
391
395 typedef struct xcb_x_print_print_end_page_request_t {
396 uint8_t major_opcode;
397 uint8_t minor_opcode;
398 uint16_t length;
399 uint8_t cancel;
400 uint8_t pad0[3];
401 } xcb_x_print_print_end_page_request_t;
402
404 #define XCB_X_PRINT_PRINT_SELECT_INPUT 15
405
409 typedef struct xcb_x_print_print_select_input_request_t {
410 uint8_t major_opcode;
411 uint8_t minor_opcode;
412 uint16_t length;
413 xcb_x_print_pcontext_t context;
414 uint32_t event_mask;
415 } xcb_x_print_print_select_input_request_t;
416
420 typedef struct xcb_x_print_print_input_selected_cookie_t {
421 unsigned int sequence;
422 } xcb_x_print_print_input_selected_cookie_t;
423
425 #define XCB_X_PRINT_PRINT_INPUT_SELECTED 16
426
430 typedef struct xcb_x_print_print_input_selected_request_t {
431 uint8_t major_opcode;
432 uint8_t minor_opcode;
433 uint16_t length;
434 xcb_x_print_pcontext_t context;
435 } xcb_x_print_print_input_selected_request_t;
436
440 typedef struct xcb_x_print_print_input_selected_reply_t {
441 uint8_t response_type;
442 uint8_t pad0;
443 uint16_t sequence;
444 uint32_t length;
445 uint32_t event_mask;
446 uint32_t all_events_mask;
447 } xcb_x_print_print_input_selected_reply_t;
448
452 typedef struct xcb_x_print_print_get_attributes_cookie_t {
453 unsigned int sequence;
454 } xcb_x_print_print_get_attributes_cookie_t;
455
457 #define XCB_X_PRINT_PRINT_GET_ATTRIBUTES 17
458
462 typedef struct xcb_x_print_print_get_attributes_request_t {
463 uint8_t major_opcode;
464 uint8_t minor_opcode;
465 uint16_t length;
466 xcb_x_print_pcontext_t context;
467 uint8_t pool;
468 uint8_t pad0[3];
469 } xcb_x_print_print_get_attributes_request_t;
470
474 typedef struct xcb_x_print_print_get_attributes_reply_t {
475 uint8_t response_type;
476 uint8_t pad0;
477 uint16_t sequence;
478 uint32_t length;
479 uint32_t stringLen;
480 uint8_t pad1[20];
481 xcb_x_print_string8_t attributes;
482 } xcb_x_print_print_get_attributes_reply_t;
483
487 typedef struct xcb_x_print_print_get_one_attributes_cookie_t {
488 unsigned int sequence;
489 } xcb_x_print_print_get_one_attributes_cookie_t;
490
492 #define XCB_X_PRINT_PRINT_GET_ONE_ATTRIBUTES 19
493
497 typedef struct xcb_x_print_print_get_one_attributes_request_t {
498 uint8_t major_opcode;
499 uint8_t minor_opcode;
500 uint16_t length;
501 xcb_x_print_pcontext_t context;
502 uint32_t nameLen;
503 uint8_t pool;
504 uint8_t pad0[3];
505 } xcb_x_print_print_get_one_attributes_request_t;
506
510 typedef struct xcb_x_print_print_get_one_attributes_reply_t {
511 uint8_t response_type;
512 uint8_t pad0;
513 uint16_t sequence;
514 uint32_t length;
515 uint32_t valueLen;
516 uint8_t pad1[20];
517 } xcb_x_print_print_get_one_attributes_reply_t;
518
520 #define XCB_X_PRINT_PRINT_SET_ATTRIBUTES 18
521
525 typedef struct xcb_x_print_print_set_attributes_request_t {
526 uint8_t major_opcode;
527 uint8_t minor_opcode;
528 uint16_t length;
529 xcb_x_print_pcontext_t context;
530 uint32_t stringLen;
531 uint8_t pool;
532 uint8_t rule;
533 uint8_t pad0[2];
534 } xcb_x_print_print_set_attributes_request_t;
535
539 typedef struct xcb_x_print_print_get_page_dimensions_cookie_t {
540 unsigned int sequence;
541 } xcb_x_print_print_get_page_dimensions_cookie_t;
542
544 #define XCB_X_PRINT_PRINT_GET_PAGE_DIMENSIONS 21
545
549 typedef struct xcb_x_print_print_get_page_dimensions_request_t {
550 uint8_t major_opcode;
551 uint8_t minor_opcode;
552 uint16_t length;
553 xcb_x_print_pcontext_t context;
554 } xcb_x_print_print_get_page_dimensions_request_t;
555
559 typedef struct xcb_x_print_print_get_page_dimensions_reply_t {
560 uint8_t response_type;
561 uint8_t pad0;
562 uint16_t sequence;
563 uint32_t length;
564 uint16_t width;
565 uint16_t height;
566 uint16_t offset_x;
567 uint16_t offset_y;
568 uint16_t reproducible_width;
569 uint16_t reproducible_height;
570 } xcb_x_print_print_get_page_dimensions_reply_t;
571
575 typedef struct xcb_x_print_print_query_screens_cookie_t {
576 unsigned int sequence;
577 } xcb_x_print_print_query_screens_cookie_t;
578
580 #define XCB_X_PRINT_PRINT_QUERY_SCREENS 22
581
585 typedef struct xcb_x_print_print_query_screens_request_t {
586 uint8_t major_opcode;
587 uint8_t minor_opcode;
588 uint16_t length;
589 } xcb_x_print_print_query_screens_request_t;
590
594 typedef struct xcb_x_print_print_query_screens_reply_t {
595 uint8_t response_type;
596 uint8_t pad0;
597 uint16_t sequence;
598 uint32_t length;
599 uint32_t listCount;
600 uint8_t pad1[20];
601 } xcb_x_print_print_query_screens_reply_t;
602
606 typedef struct xcb_x_print_print_set_image_resolution_cookie_t {
607 unsigned int sequence;
608 } xcb_x_print_print_set_image_resolution_cookie_t;
609
611 #define XCB_X_PRINT_PRINT_SET_IMAGE_RESOLUTION 23
612
616 typedef struct xcb_x_print_print_set_image_resolution_request_t {
617 uint8_t major_opcode;
618 uint8_t minor_opcode;
619 uint16_t length;
620 xcb_x_print_pcontext_t context;
621 uint16_t image_resolution;
622 } xcb_x_print_print_set_image_resolution_request_t;
623
627 typedef struct xcb_x_print_print_set_image_resolution_reply_t {
628 uint8_t response_type;
629 uint8_t status;
630 uint16_t sequence;
631 uint32_t length;
632 uint16_t previous_resolutions;
633 } xcb_x_print_print_set_image_resolution_reply_t;
634
638 typedef struct xcb_x_print_print_get_image_resolution_cookie_t {
639 unsigned int sequence;
640 } xcb_x_print_print_get_image_resolution_cookie_t;
641
643 #define XCB_X_PRINT_PRINT_GET_IMAGE_RESOLUTION 24
644
648 typedef struct xcb_x_print_print_get_image_resolution_request_t {
649 uint8_t major_opcode;
650 uint8_t minor_opcode;
651 uint16_t length;
652 xcb_x_print_pcontext_t context;
653 } xcb_x_print_print_get_image_resolution_request_t;
654
658 typedef struct xcb_x_print_print_get_image_resolution_reply_t {
659 uint8_t response_type;
660 uint8_t pad0;
661 uint16_t sequence;
662 uint32_t length;
663 uint16_t image_resolution;
664 } xcb_x_print_print_get_image_resolution_reply_t;
665
667 #define XCB_X_PRINT_NOTIFY 0
668
672 typedef struct xcb_x_print_notify_event_t {
673 uint8_t response_type;
674 uint8_t detail;
675 uint16_t sequence;
676 xcb_x_print_pcontext_t context;
677 uint8_t cancel;
678 } xcb_x_print_notify_event_t;
679
681 #define XCB_X_PRINT_ATTRIBUT_NOTIFY 1
682
686 typedef struct xcb_x_print_attribut_notify_event_t {
687 uint8_t response_type;
688 uint8_t detail;
689 uint16_t sequence;
690 xcb_x_print_pcontext_t context;
691 } xcb_x_print_attribut_notify_event_t;
692
694 #define XCB_X_PRINT_BAD_CONTEXT 0
695
699 typedef struct xcb_x_print_bad_context_error_t {
700 uint8_t response_type;
701 uint8_t error_code;
702 uint16_t sequence;
703 } xcb_x_print_bad_context_error_t;
704
706 #define XCB_X_PRINT_BAD_SEQUENCE 1
707
711 typedef struct xcb_x_print_bad_sequence_error_t {
712 uint8_t response_type;
713 uint8_t error_code;
714 uint16_t sequence;
715 } xcb_x_print_bad_sequence_error_t;
716
726 /*****************************************************************************
727 **
728 ** void xcb_x_print_string8_next
729 **
730 ** @param xcb_x_print_string8_iterator_t *i
731 ** @returns void
732 **
733 *****************************************************************************/
734
735 void
736 xcb_x_print_string8_next (xcb_x_print_string8_iterator_t *i );
737
748 /*****************************************************************************
749 **
750 ** xcb_generic_iterator_t xcb_x_print_string8_end
751 **
752 ** @param xcb_x_print_string8_iterator_t i
753 ** @returns xcb_generic_iterator_t
754 **
755 *****************************************************************************/
756
757 xcb_generic_iterator_t
758 xcb_x_print_string8_end (xcb_x_print_string8_iterator_t i );
759
760 int
761 xcb_x_print_printer_serialize (void **_buffer ,
762 const xcb_x_print_printer_t *_aux ,
763 const xcb_x_print_string8_t *name ,
764 const xcb_x_print_string8_t *description );
765
766 int
767 xcb_x_print_printer_unserialize (const void *_buffer ,
768 xcb_x_print_printer_t **_aux );
769
770 int
771 xcb_x_print_printer_sizeof (const void *_buffer );
772
773
774 /*****************************************************************************
775 **
776 ** xcb_x_print_string8_t * xcb_x_print_printer_name
777 **
778 ** @param const xcb_x_print_printer_t *R
779 ** @returns xcb_x_print_string8_t *
780 **
781 *****************************************************************************/
782
783 xcb_x_print_string8_t *
784 xcb_x_print_printer_name (const xcb_x_print_printer_t *R );
785
786
787 /*****************************************************************************
788 **
789 ** int xcb_x_print_printer_name_length
790 **
791 ** @param const xcb_x_print_printer_t *R
792 ** @returns int
793 **
794 *****************************************************************************/
795
796 int
797 xcb_x_print_printer_name_length (const xcb_x_print_printer_t *R );
798
799
800 /*****************************************************************************
801 **
802 ** xcb_generic_iterator_t xcb_x_print_printer_name_end
803 **
804 ** @param const xcb_x_print_printer_t *R
805 ** @returns xcb_generic_iterator_t
806 **
807 *****************************************************************************/
808
809 xcb_generic_iterator_t
810 xcb_x_print_printer_name_end (const xcb_x_print_printer_t *R );
811
812
813 /*****************************************************************************
814 **
815 ** xcb_x_print_string8_t * xcb_x_print_printer_description
816 **
817 ** @param const xcb_x_print_printer_t *R
818 ** @returns xcb_x_print_string8_t *
819 **
820 *****************************************************************************/
821
822 xcb_x_print_string8_t *
823 xcb_x_print_printer_description (const xcb_x_print_printer_t *R );
824
825
826 /*****************************************************************************
827 **
828 ** int xcb_x_print_printer_description_length
829 **
830 ** @param const xcb_x_print_printer_t *R
831 ** @returns int
832 **
833 *****************************************************************************/
834
835 int
836 xcb_x_print_printer_description_length (const xcb_x_print_printer_t *R );
837
838
839 /*****************************************************************************
840 **
841 ** xcb_generic_iterator_t xcb_x_print_printer_description_end
842 **
843 ** @param const xcb_x_print_printer_t *R
844 ** @returns xcb_generic_iterator_t
845 **
846 *****************************************************************************/
847
848 xcb_generic_iterator_t
849 xcb_x_print_printer_description_end (const xcb_x_print_printer_t *R );
850
860 /*****************************************************************************
861 **
862 ** void xcb_x_print_printer_next
863 **
864 ** @param xcb_x_print_printer_iterator_t *i
865 ** @returns void
866 **
867 *****************************************************************************/
868
869 void
870 xcb_x_print_printer_next (xcb_x_print_printer_iterator_t *i );
871
882 /*****************************************************************************
883 **
884 ** xcb_generic_iterator_t xcb_x_print_printer_end
885 **
886 ** @param xcb_x_print_printer_iterator_t i
887 ** @returns xcb_generic_iterator_t
888 **
889 *****************************************************************************/
890
891 xcb_generic_iterator_t
892 xcb_x_print_printer_end (xcb_x_print_printer_iterator_t i );
893
903 /*****************************************************************************
904 **
905 ** void xcb_x_print_pcontext_next
906 **
907 ** @param xcb_x_print_pcontext_iterator_t *i
908 ** @returns void
909 **
910 *****************************************************************************/
911
912 void
913 xcb_x_print_pcontext_next (xcb_x_print_pcontext_iterator_t *i );
914
925 /*****************************************************************************
926 **
927 ** xcb_generic_iterator_t xcb_x_print_pcontext_end
928 **
929 ** @param xcb_x_print_pcontext_iterator_t i
930 ** @returns xcb_generic_iterator_t
931 **
932 *****************************************************************************/
933
934 xcb_generic_iterator_t
935 xcb_x_print_pcontext_end (xcb_x_print_pcontext_iterator_t i );
936
946 /*****************************************************************************
947 **
948 ** xcb_x_print_print_query_version_cookie_t xcb_x_print_print_query_version
949 **
950 ** @param xcb_connection_t *c
951 ** @returns xcb_x_print_print_query_version_cookie_t
952 **
953 *****************************************************************************/
954
955 xcb_x_print_print_query_version_cookie_t
956 xcb_x_print_print_query_version (xcb_connection_t *c );
957
970 /*****************************************************************************
971 **
972 ** xcb_x_print_print_query_version_cookie_t xcb_x_print_print_query_version_unchecked
973 **
974 ** @param xcb_connection_t *c
975 ** @returns xcb_x_print_print_query_version_cookie_t
976 **
977 *****************************************************************************/
978
979 xcb_x_print_print_query_version_cookie_t
980 xcb_x_print_print_query_version_unchecked (xcb_connection_t *c );
981
997 /*****************************************************************************
998 **
999 ** xcb_x_print_print_query_version_reply_t * xcb_x_print_print_query_version_reply
1000 **
1001 ** @param xcb_connection_t *c
1002 ** @param xcb_x_print_print_query_version_cookie_t cookie
1003 ** @param xcb_generic_error_t **e
1004 ** @returns xcb_x_print_print_query_version_reply_t *
1005 **
1006 *****************************************************************************/
1007
1008 xcb_x_print_print_query_version_reply_t *
1009 xcb_x_print_print_query_version_reply (xcb_connection_t *c ,
1010 xcb_x_print_print_query_version_cookie_t cookie ,
1011 xcb_generic_error_t **e );
1012
1013 int
1014 xcb_x_print_print_get_printer_list_sizeof (const void *_buffer );
1015
1025 /*****************************************************************************
1026 **
1027 ** xcb_x_print_print_get_printer_list_cookie_t xcb_x_print_print_get_printer_list
1028 **
1029 ** @param xcb_connection_t *c
1030 ** @param uint32_t printerNameLen
1031 ** @param uint32_t localeLen
1032 ** @param const xcb_x_print_string8_t *printer_name
1033 ** @param const xcb_x_print_string8_t *locale
1034 ** @returns xcb_x_print_print_get_printer_list_cookie_t
1035 **
1036 *****************************************************************************/
1037
1038 xcb_x_print_print_get_printer_list_cookie_t
1039 xcb_x_print_print_get_printer_list (xcb_connection_t *c ,
1040 uint32_t printerNameLen ,
1041 uint32_t localeLen ,
1042 const xcb_x_print_string8_t *printer_name ,
1043 const xcb_x_print_string8_t *locale );
1044
1057 /*****************************************************************************
1058 **
1059 ** xcb_x_print_print_get_printer_list_cookie_t xcb_x_print_print_get_printer_list_unchecked
1060 **
1061 ** @param xcb_connection_t *c
1062 ** @param uint32_t printerNameLen
1063 ** @param uint32_t localeLen
1064 ** @param const xcb_x_print_string8_t *printer_name
1065 ** @param const xcb_x_print_string8_t *locale
1066 ** @returns xcb_x_print_print_get_printer_list_cookie_t
1067 **
1068 *****************************************************************************/
1069
1070 xcb_x_print_print_get_printer_list_cookie_t
1071 xcb_x_print_print_get_printer_list_unchecked (xcb_connection_t *c ,
1072 uint32_t printerNameLen ,
1073 uint32_t localeLen ,
1074 const xcb_x_print_string8_t *printer_name ,
1075 const xcb_x_print_string8_t *locale );
1076
1077
1078 /*****************************************************************************
1079 **
1080 ** int xcb_x_print_print_get_printer_list_printers_length
1081 **
1082 ** @param const xcb_x_print_print_get_printer_list_reply_t *R
1083 ** @returns int
1084 **
1085 *****************************************************************************/
1086
1087 int
1088 xcb_x_print_print_get_printer_list_printers_length (const xcb_x_print_print_get_printer_list_reply_t *R );
1089
1090
1091 /*****************************************************************************
1092 **
1093 ** xcb_x_print_printer_iterator_t xcb_x_print_print_get_printer_list_printers_iterator
1094 **
1095 ** @param const xcb_x_print_print_get_printer_list_reply_t *R
1096 ** @returns xcb_x_print_printer_iterator_t
1097 **
1098 *****************************************************************************/
1099
1100 xcb_x_print_printer_iterator_t
1101 xcb_x_print_print_get_printer_list_printers_iterator (const xcb_x_print_print_get_printer_list_reply_t *R );
1102
1118 /*****************************************************************************
1119 **
1120 ** xcb_x_print_print_get_printer_list_reply_t * xcb_x_print_print_get_printer_list_reply
1121 **
1122 ** @param xcb_connection_t *c
1123 ** @param xcb_x_print_print_get_printer_list_cookie_t cookie
1124 ** @param xcb_generic_error_t **e
1125 ** @returns xcb_x_print_print_get_printer_list_reply_t *
1126 **
1127 *****************************************************************************/
1128
1129 xcb_x_print_print_get_printer_list_reply_t *
1130 xcb_x_print_print_get_printer_list_reply (xcb_connection_t *c ,
1131 xcb_x_print_print_get_printer_list_cookie_t cookie ,
1132 xcb_generic_error_t **e );
1133
1146 /*****************************************************************************
1147 **
1148 ** xcb_void_cookie_t xcb_x_print_print_rehash_printer_list_checked
1149 **
1150 ** @param xcb_connection_t *c
1151 ** @returns xcb_void_cookie_t
1152 **
1153 *****************************************************************************/
1154
1155 xcb_void_cookie_t
1156 xcb_x_print_print_rehash_printer_list_checked (xcb_connection_t *c );
1157
1167 /*****************************************************************************
1168 **
1169 ** xcb_void_cookie_t xcb_x_print_print_rehash_printer_list
1170 **
1171 ** @param xcb_connection_t *c
1172 ** @returns xcb_void_cookie_t
1173 **
1174 *****************************************************************************/
1175
1176 xcb_void_cookie_t
1177 xcb_x_print_print_rehash_printer_list (xcb_connection_t *c );
1178
1179 int
1180 xcb_x_print_create_context_sizeof (const void *_buffer );
1181
1194 /*****************************************************************************
1195 **
1196 ** xcb_void_cookie_t xcb_x_print_create_context_checked
1197 **
1198 ** @param xcb_connection_t *c
1199 ** @param uint32_t context_id
1200 ** @param uint32_t printerNameLen
1201 ** @param uint32_t localeLen
1202 ** @param const xcb_x_print_string8_t *printerName
1203 ** @param const xcb_x_print_string8_t *locale
1204 ** @returns xcb_void_cookie_t
1205 **
1206 *****************************************************************************/
1207
1208 xcb_void_cookie_t
1209 xcb_x_print_create_context_checked (xcb_connection_t *c ,
1210 uint32_t context_id ,
1211 uint32_t printerNameLen ,
1212 uint32_t localeLen ,
1213 const xcb_x_print_string8_t *printerName ,
1214 const xcb_x_print_string8_t *locale );
1215
1225 /*****************************************************************************
1226 **
1227 ** xcb_void_cookie_t xcb_x_print_create_context
1228 **
1229 ** @param xcb_connection_t *c
1230 ** @param uint32_t context_id
1231 ** @param uint32_t printerNameLen
1232 ** @param uint32_t localeLen
1233 ** @param const xcb_x_print_string8_t *printerName
1234 ** @param const xcb_x_print_string8_t *locale
1235 ** @returns xcb_void_cookie_t
1236 **
1237 *****************************************************************************/
1238
1239 xcb_void_cookie_t
1240 xcb_x_print_create_context (xcb_connection_t *c ,
1241 uint32_t context_id ,
1242 uint32_t printerNameLen ,
1243 uint32_t localeLen ,
1244 const xcb_x_print_string8_t *printerName ,
1245 const xcb_x_print_string8_t *locale );
1246
1259 /*****************************************************************************
1260 **
1261 ** xcb_void_cookie_t xcb_x_print_print_set_context_checked
1262 **
1263 ** @param xcb_connection_t *c
1264 ** @param uint32_t context
1265 ** @returns xcb_void_cookie_t
1266 **
1267 *****************************************************************************/
1268
1269 xcb_void_cookie_t
1270 xcb_x_print_print_set_context_checked (xcb_connection_t *c ,
1271 uint32_t context );
1272
1282 /*****************************************************************************
1283 **
1284 ** xcb_void_cookie_t xcb_x_print_print_set_context
1285 **
1286 ** @param xcb_connection_t *c
1287 ** @param uint32_t context
1288 ** @returns xcb_void_cookie_t
1289 **
1290 *****************************************************************************/
1291
1292 xcb_void_cookie_t
1293 xcb_x_print_print_set_context (xcb_connection_t *c ,
1294 uint32_t context );
1295
1305 /*****************************************************************************
1306 **
1307 ** xcb_x_print_print_get_context_cookie_t xcb_x_print_print_get_context
1308 **
1309 ** @param xcb_connection_t *c
1310 ** @returns xcb_x_print_print_get_context_cookie_t
1311 **
1312 *****************************************************************************/
1313
1314 xcb_x_print_print_get_context_cookie_t
1315 xcb_x_print_print_get_context (xcb_connection_t *c );
1316
1329 /*****************************************************************************
1330 **
1331 ** xcb_x_print_print_get_context_cookie_t xcb_x_print_print_get_context_unchecked
1332 **
1333 ** @param xcb_connection_t *c
1334 ** @returns xcb_x_print_print_get_context_cookie_t
1335 **
1336 *****************************************************************************/
1337
1338 xcb_x_print_print_get_context_cookie_t
1339 xcb_x_print_print_get_context_unchecked (xcb_connection_t *c );
1340
1356 /*****************************************************************************
1357 **
1358 ** xcb_x_print_print_get_context_reply_t * xcb_x_print_print_get_context_reply
1359 **
1360 ** @param xcb_connection_t *c
1361 ** @param xcb_x_print_print_get_context_cookie_t cookie
1362 ** @param xcb_generic_error_t **e
1363 ** @returns xcb_x_print_print_get_context_reply_t *
1364 **
1365 *****************************************************************************/
1366
1367 xcb_x_print_print_get_context_reply_t *
1368 xcb_x_print_print_get_context_reply (xcb_connection_t *c ,
1369 xcb_x_print_print_get_context_cookie_t cookie ,
1370 xcb_generic_error_t **e );
1371
1384 /*****************************************************************************
1385 **
1386 ** xcb_void_cookie_t xcb_x_print_print_destroy_context_checked
1387 **
1388 ** @param xcb_connection_t *c
1389 ** @param uint32_t context
1390 ** @returns xcb_void_cookie_t
1391 **
1392 *****************************************************************************/
1393
1394 xcb_void_cookie_t
1395 xcb_x_print_print_destroy_context_checked (xcb_connection_t *c ,
1396 uint32_t context );
1397
1407 /*****************************************************************************
1408 **
1409 ** xcb_void_cookie_t xcb_x_print_print_destroy_context
1410 **
1411 ** @param xcb_connection_t *c
1412 ** @param uint32_t context
1413 ** @returns xcb_void_cookie_t
1414 **
1415 *****************************************************************************/
1416
1417 xcb_void_cookie_t
1418 xcb_x_print_print_destroy_context (xcb_connection_t *c ,
1419 uint32_t context );
1420
1430 /*****************************************************************************
1431 **
1432 ** xcb_x_print_print_get_screen_of_context_cookie_t xcb_x_print_print_get_screen_of_context
1433 **
1434 ** @param xcb_connection_t *c
1435 ** @returns xcb_x_print_print_get_screen_of_context_cookie_t
1436 **
1437 *****************************************************************************/
1438
1439 xcb_x_print_print_get_screen_of_context_cookie_t
1440 xcb_x_print_print_get_screen_of_context (xcb_connection_t *c );
1441
1454 /*****************************************************************************
1455 **
1456 ** xcb_x_print_print_get_screen_of_context_cookie_t xcb_x_print_print_get_screen_of_context_unchecked
1457 **
1458 ** @param xcb_connection_t *c
1459 ** @returns xcb_x_print_print_get_screen_of_context_cookie_t
1460 **
1461 *****************************************************************************/
1462
1463 xcb_x_print_print_get_screen_of_context_cookie_t
1464 xcb_x_print_print_get_screen_of_context_unchecked (xcb_connection_t *c );
1465
1481 /*****************************************************************************
1482 **
1483 ** xcb_x_print_print_get_screen_of_context_reply_t * xcb_x_print_print_get_screen_of_context_reply
1484 **
1485 ** @param xcb_connection_t *c
1486 ** @param xcb_x_print_print_get_screen_of_context_cookie_t cookie
1487 ** @param xcb_generic_error_t **e
1488 ** @returns xcb_x_print_print_get_screen_of_context_reply_t *
1489 **
1490 *****************************************************************************/
1491
1492 xcb_x_print_print_get_screen_of_context_reply_t *
1493 xcb_x_print_print_get_screen_of_context_reply (xcb_connection_t *c ,
1494 xcb_x_print_print_get_screen_of_context_cookie_t cookie ,
1495 xcb_generic_error_t **e );
1496
1509 /*****************************************************************************
1510 **
1511 ** xcb_void_cookie_t xcb_x_print_print_start_job_checked
1512 **
1513 ** @param xcb_connection_t *c
1514 ** @param uint8_t output_mode
1515 ** @returns xcb_void_cookie_t
1516 **
1517 *****************************************************************************/
1518
1519 xcb_void_cookie_t
1520 xcb_x_print_print_start_job_checked (xcb_connection_t *c ,
1521 uint8_t output_mode );
1522
1532 /*****************************************************************************
1533 **
1534 ** xcb_void_cookie_t xcb_x_print_print_start_job
1535 **
1536 ** @param xcb_connection_t *c
1537 ** @param uint8_t output_mode
1538 ** @returns xcb_void_cookie_t
1539 **
1540 *****************************************************************************/
1541
1542 xcb_void_cookie_t
1543 xcb_x_print_print_start_job (xcb_connection_t *c ,
1544 uint8_t output_mode );
1545
1558 /*****************************************************************************
1559 **
1560 ** xcb_void_cookie_t xcb_x_print_print_end_job_checked
1561 **
1562 ** @param xcb_connection_t *c
1563 ** @param uint8_t cancel
1564 ** @returns xcb_void_cookie_t
1565 **
1566 *****************************************************************************/
1567
1568 xcb_void_cookie_t
1569 xcb_x_print_print_end_job_checked (xcb_connection_t *c ,
1570 uint8_t cancel );
1571
1581 /*****************************************************************************
1582 **
1583 ** xcb_void_cookie_t xcb_x_print_print_end_job
1584 **
1585 ** @param xcb_connection_t *c
1586 ** @param uint8_t cancel
1587 ** @returns xcb_void_cookie_t
1588 **
1589 *****************************************************************************/
1590
1591 xcb_void_cookie_t
1592 xcb_x_print_print_end_job (xcb_connection_t *c ,
1593 uint8_t cancel );
1594
1607 /*****************************************************************************
1608 **
1609 ** xcb_void_cookie_t xcb_x_print_print_start_doc_checked
1610 **
1611 ** @param xcb_connection_t *c
1612 ** @param uint8_t driver_mode
1613 ** @returns xcb_void_cookie_t
1614 **
1615 *****************************************************************************/
1616
1617 xcb_void_cookie_t
1618 xcb_x_print_print_start_doc_checked (xcb_connection_t *c ,
1619 uint8_t driver_mode );
1620
1630 /*****************************************************************************
1631 **
1632 ** xcb_void_cookie_t xcb_x_print_print_start_doc
1633 **
1634 ** @param xcb_connection_t *c
1635 ** @param uint8_t driver_mode
1636 ** @returns xcb_void_cookie_t
1637 **
1638 *****************************************************************************/
1639
1640 xcb_void_cookie_t
1641 xcb_x_print_print_start_doc (xcb_connection_t *c ,
1642 uint8_t driver_mode );
1643
1656 /*****************************************************************************
1657 **
1658 ** xcb_void_cookie_t xcb_x_print_print_end_doc_checked
1659 **
1660 ** @param xcb_connection_t *c
1661 ** @param uint8_t cancel
1662 ** @returns xcb_void_cookie_t
1663 **
1664 *****************************************************************************/
1665
1666 xcb_void_cookie_t
1667 xcb_x_print_print_end_doc_checked (xcb_connection_t *c ,
1668 uint8_t cancel );
1669
1679 /*****************************************************************************
1680 **
1681 ** xcb_void_cookie_t xcb_x_print_print_end_doc
1682 **
1683 ** @param xcb_connection_t *c
1684 ** @param uint8_t cancel
1685 ** @returns xcb_void_cookie_t
1686 **
1687 *****************************************************************************/
1688
1689 xcb_void_cookie_t
1690 xcb_x_print_print_end_doc (xcb_connection_t *c ,
1691 uint8_t cancel );
1692
1693 int
1694 xcb_x_print_print_put_document_data_sizeof (const void *_buffer ,
1695 uint32_t doc_format_len ,
1696 uint32_t options_len );
1697
1710 /*****************************************************************************
1711 **
1712 ** xcb_void_cookie_t xcb_x_print_print_put_document_data_checked
1713 **
1714 ** @param xcb_connection_t *c
1715 ** @param xcb_drawable_t drawable
1716 ** @param uint32_t len_data
1717 ** @param uint16_t len_fmt
1718 ** @param uint16_t len_options
1719 ** @param const uint8_t *data
1720 ** @param uint32_t doc_format_len
1721 ** @param const xcb_x_print_string8_t *doc_format
1722 ** @param uint32_t options_len
1723 ** @param const xcb_x_print_string8_t *options
1724 ** @returns xcb_void_cookie_t
1725 **
1726 *****************************************************************************/
1727
1728 xcb_void_cookie_t
1729 xcb_x_print_print_put_document_data_checked (xcb_connection_t *c ,
1730 xcb_drawable_t drawable ,
1731 uint32_t len_data ,
1732 uint16_t len_fmt ,
1733 uint16_t len_options ,
1734 const uint8_t *data ,
1735 uint32_t doc_format_len ,
1736 const xcb_x_print_string8_t *doc_format ,
1737 uint32_t options_len ,
1738 const xcb_x_print_string8_t *options );
1739
1749 /*****************************************************************************
1750 **
1751 ** xcb_void_cookie_t xcb_x_print_print_put_document_data
1752 **
1753 ** @param xcb_connection_t *c
1754 ** @param xcb_drawable_t drawable
1755 ** @param uint32_t len_data
1756 ** @param uint16_t len_fmt
1757 ** @param uint16_t len_options
1758 ** @param const uint8_t *data
1759 ** @param uint32_t doc_format_len
1760 ** @param const xcb_x_print_string8_t *doc_format
1761 ** @param uint32_t options_len
1762 ** @param const xcb_x_print_string8_t *options
1763 ** @returns xcb_void_cookie_t
1764 **
1765 *****************************************************************************/
1766
1767 xcb_void_cookie_t
1768 xcb_x_print_print_put_document_data (xcb_connection_t *c ,
1769 xcb_drawable_t drawable ,
1770 uint32_t len_data ,
1771 uint16_t len_fmt ,
1772 uint16_t len_options ,
1773 const uint8_t *data ,
1774 uint32_t doc_format_len ,
1775 const xcb_x_print_string8_t *doc_format ,
1776 uint32_t options_len ,
1777 const xcb_x_print_string8_t *options );
1778
1779 int
1780 xcb_x_print_print_get_document_data_sizeof (const void *_buffer );
1781
1791 /*****************************************************************************
1792 **
1793 ** xcb_x_print_print_get_document_data_cookie_t xcb_x_print_print_get_document_data
1794 **
1795 ** @param xcb_connection_t *c
1796 ** @param xcb_x_print_pcontext_t context
1797 ** @param uint32_t max_bytes
1798 ** @returns xcb_x_print_print_get_document_data_cookie_t
1799 **
1800 *****************************************************************************/
1801
1802 xcb_x_print_print_get_document_data_cookie_t
1803 xcb_x_print_print_get_document_data (xcb_connection_t *c ,
1804 xcb_x_print_pcontext_t context ,
1805 uint32_t max_bytes );
1806
1819 /*****************************************************************************
1820 **
1821 ** xcb_x_print_print_get_document_data_cookie_t xcb_x_print_print_get_document_data_unchecked
1822 **
1823 ** @param xcb_connection_t *c
1824 ** @param xcb_x_print_pcontext_t context
1825 ** @param uint32_t max_bytes
1826 ** @returns xcb_x_print_print_get_document_data_cookie_t
1827 **
1828 *****************************************************************************/
1829
1830 xcb_x_print_print_get_document_data_cookie_t
1831 xcb_x_print_print_get_document_data_unchecked (xcb_connection_t *c ,
1832 xcb_x_print_pcontext_t context ,
1833 uint32_t max_bytes );
1834
1835
1836 /*****************************************************************************
1837 **
1838 ** uint8_t * xcb_x_print_print_get_document_data_data
1839 **
1840 ** @param const xcb_x_print_print_get_document_data_reply_t *R
1841 ** @returns uint8_t *
1842 **
1843 *****************************************************************************/
1844
1845 uint8_t *
1846 xcb_x_print_print_get_document_data_data (const xcb_x_print_print_get_document_data_reply_t *R );
1847
1848
1849 /*****************************************************************************
1850 **
1851 ** int xcb_x_print_print_get_document_data_data_length
1852 **
1853 ** @param const xcb_x_print_print_get_document_data_reply_t *R
1854 ** @returns int
1855 **
1856 *****************************************************************************/
1857
1858 int
1859 xcb_x_print_print_get_document_data_data_length (const xcb_x_print_print_get_document_data_reply_t *R );
1860
1861
1862 /*****************************************************************************
1863 **
1864 ** xcb_generic_iterator_t xcb_x_print_print_get_document_data_data_end
1865 **
1866 ** @param const xcb_x_print_print_get_document_data_reply_t *R
1867 ** @returns xcb_generic_iterator_t
1868 **
1869 *****************************************************************************/
1870
1871 xcb_generic_iterator_t
1872 xcb_x_print_print_get_document_data_data_end (const xcb_x_print_print_get_document_data_reply_t *R );
1873
1889 /*****************************************************************************
1890 **
1891 ** xcb_x_print_print_get_document_data_reply_t * xcb_x_print_print_get_document_data_reply
1892 **
1893 ** @param xcb_connection_t *c
1894 ** @param xcb_x_print_print_get_document_data_cookie_t cookie
1895 ** @param xcb_generic_error_t **e
1896 ** @returns xcb_x_print_print_get_document_data_reply_t *
1897 **
1898 *****************************************************************************/
1899
1900 xcb_x_print_print_get_document_data_reply_t *
1901 xcb_x_print_print_get_document_data_reply (xcb_connection_t *c ,
1902 xcb_x_print_print_get_document_data_cookie_t cookie ,
1903 xcb_generic_error_t **e );
1904
1917 /*****************************************************************************
1918 **
1919 ** xcb_void_cookie_t xcb_x_print_print_start_page_checked
1920 **
1921 ** @param xcb_connection_t *c
1922 ** @param xcb_window_t window
1923 ** @returns xcb_void_cookie_t
1924 **
1925 *****************************************************************************/
1926
1927 xcb_void_cookie_t
1928 xcb_x_print_print_start_page_checked (xcb_connection_t *c ,
1929 xcb_window_t window );
1930
1940 /*****************************************************************************
1941 **
1942 ** xcb_void_cookie_t xcb_x_print_print_start_page
1943 **
1944 ** @param xcb_connection_t *c
1945 ** @param xcb_window_t window
1946 ** @returns xcb_void_cookie_t
1947 **
1948 *****************************************************************************/
1949
1950 xcb_void_cookie_t
1951 xcb_x_print_print_start_page (xcb_connection_t *c ,
1952 xcb_window_t window );
1953
1966 /*****************************************************************************
1967 **
1968 ** xcb_void_cookie_t xcb_x_print_print_end_page_checked
1969 **
1970 ** @param xcb_connection_t *c
1971 ** @param uint8_t cancel
1972 ** @returns xcb_void_cookie_t
1973 **
1974 *****************************************************************************/
1975
1976 xcb_void_cookie_t
1977 xcb_x_print_print_end_page_checked (xcb_connection_t *c ,
1978 uint8_t cancel );
1979
1989 /*****************************************************************************
1990 **
1991 ** xcb_void_cookie_t xcb_x_print_print_end_page
1992 **
1993 ** @param xcb_connection_t *c
1994 ** @param uint8_t cancel
1995 ** @returns xcb_void_cookie_t
1996 **
1997 *****************************************************************************/
1998
1999 xcb_void_cookie_t
2000 xcb_x_print_print_end_page (xcb_connection_t *c ,
2001 uint8_t cancel );
2002
2003 int
2004 xcb_x_print_print_select_input_sizeof (const void *_buffer );
2005
2018 /*****************************************************************************
2019 **
2020 ** xcb_void_cookie_t xcb_x_print_print_select_input_checked
2021 **
2022 ** @param xcb_connection_t *c
2023 ** @param xcb_x_print_pcontext_t context
2024 ** @param uint32_t event_mask
2025 ** @param const uint32_t *event_list
2026 ** @returns xcb_void_cookie_t
2027 **
2028 *****************************************************************************/
2029
2030 xcb_void_cookie_t
2031 xcb_x_print_print_select_input_checked (xcb_connection_t *c ,
2032 xcb_x_print_pcontext_t context ,
2033 uint32_t event_mask ,
2034 const uint32_t *event_list );
2035
2045 /*****************************************************************************
2046 **
2047 ** xcb_void_cookie_t xcb_x_print_print_select_input
2048 **
2049 ** @param xcb_connection_t *c
2050 ** @param xcb_x_print_pcontext_t context
2051 ** @param uint32_t event_mask
2052 ** @param const uint32_t *event_list
2053 ** @returns xcb_void_cookie_t
2054 **
2055 *****************************************************************************/
2056
2057 xcb_void_cookie_t
2058 xcb_x_print_print_select_input (xcb_connection_t *c ,
2059 xcb_x_print_pcontext_t context ,
2060 uint32_t event_mask ,
2061 const uint32_t *event_list );
2062
2063 int
2064 xcb_x_print_print_input_selected_serialize (void **_buffer ,
2065 const xcb_x_print_print_input_selected_reply_t *_aux ,
2066 const uint32_t *event_list ,
2067 const uint32_t *all_events_list );
2068
2069 int
2070 xcb_x_print_print_input_selected_unserialize (const void *_buffer ,
2071 xcb_x_print_print_input_selected_reply_t **_aux );
2072
2073 int
2074 xcb_x_print_print_input_selected_sizeof (const void *_buffer );
2075
2085 /*****************************************************************************
2086 **
2087 ** xcb_x_print_print_input_selected_cookie_t xcb_x_print_print_input_selected
2088 **
2089 ** @param xcb_connection_t *c
2090 ** @param xcb_x_print_pcontext_t context
2091 ** @returns xcb_x_print_print_input_selected_cookie_t
2092 **
2093 *****************************************************************************/
2094
2095 xcb_x_print_print_input_selected_cookie_t
2096 xcb_x_print_print_input_selected (xcb_connection_t *c ,
2097 xcb_x_print_pcontext_t context );
2098
2111 /*****************************************************************************
2112 **
2113 ** xcb_x_print_print_input_selected_cookie_t xcb_x_print_print_input_selected_unchecked
2114 **
2115 ** @param xcb_connection_t *c
2116 ** @param xcb_x_print_pcontext_t context
2117 ** @returns xcb_x_print_print_input_selected_cookie_t
2118 **
2119 *****************************************************************************/
2120
2121 xcb_x_print_print_input_selected_cookie_t
2122 xcb_x_print_print_input_selected_unchecked (xcb_connection_t *c ,
2123 xcb_x_print_pcontext_t context );
2124
2125
2126 /*****************************************************************************
2127 **
2128 ** uint32_t * xcb_x_print_print_input_selected_event_list
2129 **
2130 ** @param const xcb_x_print_print_input_selected_reply_t *R
2131 ** @returns uint32_t *
2132 **
2133 *****************************************************************************/
2134
2135 uint32_t *
2136 xcb_x_print_print_input_selected_event_list (const xcb_x_print_print_input_selected_reply_t *R );
2137
2138
2139 /*****************************************************************************
2140 **
2141 ** int xcb_x_print_print_input_selected_event_list_length
2142 **
2143 ** @param const xcb_x_print_print_input_selected_reply_t *R
2144 ** @returns int
2145 **
2146 *****************************************************************************/
2147
2148 int
2149 xcb_x_print_print_input_selected_event_list_length (const xcb_x_print_print_input_selected_reply_t *R );
2150
2151
2152 /*****************************************************************************
2153 **
2154 ** xcb_generic_iterator_t xcb_x_print_print_input_selected_event_list_end
2155 **
2156 ** @param const xcb_x_print_print_input_selected_reply_t *R
2157 ** @returns xcb_generic_iterator_t
2158 **
2159 *****************************************************************************/
2160
2161 xcb_generic_iterator_t
2162 xcb_x_print_print_input_selected_event_list_end (const xcb_x_print_print_input_selected_reply_t *R );
2163
2164
2165 /*****************************************************************************
2166 **
2167 ** uint32_t * xcb_x_print_print_input_selected_all_events_list
2168 **
2169 ** @param const xcb_x_print_print_input_selected_reply_t *R
2170 ** @returns uint32_t *
2171 **
2172 *****************************************************************************/
2173
2174 uint32_t *
2175 xcb_x_print_print_input_selected_all_events_list (const xcb_x_print_print_input_selected_reply_t *R );
2176
2177
2178 /*****************************************************************************
2179 **
2180 ** int xcb_x_print_print_input_selected_all_events_list_length
2181 **
2182 ** @param const xcb_x_print_print_input_selected_reply_t *R
2183 ** @returns int
2184 **
2185 *****************************************************************************/
2186
2187 int
2188 xcb_x_print_print_input_selected_all_events_list_length (const xcb_x_print_print_input_selected_reply_t *R );
2189
2190
2191 /*****************************************************************************
2192 **
2193 ** xcb_generic_iterator_t xcb_x_print_print_input_selected_all_events_list_end
2194 **
2195 ** @param const xcb_x_print_print_input_selected_reply_t *R
2196 ** @returns xcb_generic_iterator_t
2197 **
2198 *****************************************************************************/
2199
2200 xcb_generic_iterator_t
2201 xcb_x_print_print_input_selected_all_events_list_end (const xcb_x_print_print_input_selected_reply_t *R );
2202
2218 /*****************************************************************************
2219 **
2220 ** xcb_x_print_print_input_selected_reply_t * xcb_x_print_print_input_selected_reply
2221 **
2222 ** @param xcb_connection_t *c
2223 ** @param xcb_x_print_print_input_selected_cookie_t cookie
2224 ** @param xcb_generic_error_t **e
2225 ** @returns xcb_x_print_print_input_selected_reply_t *
2226 **
2227 *****************************************************************************/
2228
2229 xcb_x_print_print_input_selected_reply_t *
2230 xcb_x_print_print_input_selected_reply (xcb_connection_t *c ,
2231 xcb_x_print_print_input_selected_cookie_t cookie ,
2232 xcb_generic_error_t **e );
2233
2243 /*****************************************************************************
2244 **
2245 ** xcb_x_print_print_get_attributes_cookie_t xcb_x_print_print_get_attributes
2246 **
2247 ** @param xcb_connection_t *c
2248 ** @param xcb_x_print_pcontext_t context
2249 ** @param uint8_t pool
2250 ** @returns xcb_x_print_print_get_attributes_cookie_t
2251 **
2252 *****************************************************************************/
2253
2254 xcb_x_print_print_get_attributes_cookie_t
2255 xcb_x_print_print_get_attributes (xcb_connection_t *c ,
2256 xcb_x_print_pcontext_t context ,
2257 uint8_t pool );
2258
2271 /*****************************************************************************
2272 **
2273 ** xcb_x_print_print_get_attributes_cookie_t xcb_x_print_print_get_attributes_unchecked
2274 **
2275 ** @param xcb_connection_t *c
2276 ** @param xcb_x_print_pcontext_t context
2277 ** @param uint8_t pool
2278 ** @returns xcb_x_print_print_get_attributes_cookie_t
2279 **
2280 *****************************************************************************/
2281
2282 xcb_x_print_print_get_attributes_cookie_t
2283 xcb_x_print_print_get_attributes_unchecked (xcb_connection_t *c ,
2284 xcb_x_print_pcontext_t context ,
2285 uint8_t pool );
2286
2302 /*****************************************************************************
2303 **
2304 ** xcb_x_print_print_get_attributes_reply_t * xcb_x_print_print_get_attributes_reply
2305 **
2306 ** @param xcb_connection_t *c
2307 ** @param xcb_x_print_print_get_attributes_cookie_t cookie
2308 ** @param xcb_generic_error_t **e
2309 ** @returns xcb_x_print_print_get_attributes_reply_t *
2310 **
2311 *****************************************************************************/
2312
2313 xcb_x_print_print_get_attributes_reply_t *
2314 xcb_x_print_print_get_attributes_reply (xcb_connection_t *c ,
2315 xcb_x_print_print_get_attributes_cookie_t cookie ,
2316 xcb_generic_error_t **e );
2317
2318 int
2319 xcb_x_print_print_get_one_attributes_sizeof (const void *_buffer );
2320
2330 /*****************************************************************************
2331 **
2332 ** xcb_x_print_print_get_one_attributes_cookie_t xcb_x_print_print_get_one_attributes
2333 **
2334 ** @param xcb_connection_t *c
2335 ** @param xcb_x_print_pcontext_t context
2336 ** @param uint32_t nameLen
2337 ** @param uint8_t pool
2338 ** @param const xcb_x_print_string8_t *name
2339 ** @returns xcb_x_print_print_get_one_attributes_cookie_t
2340 **
2341 *****************************************************************************/
2342
2343 xcb_x_print_print_get_one_attributes_cookie_t
2344 xcb_x_print_print_get_one_attributes (xcb_connection_t *c ,
2345 xcb_x_print_pcontext_t context ,
2346 uint32_t nameLen ,
2347 uint8_t pool ,
2348 const xcb_x_print_string8_t *name );
2349
2362 /*****************************************************************************
2363 **
2364 ** xcb_x_print_print_get_one_attributes_cookie_t xcb_x_print_print_get_one_attributes_unchecked
2365 **
2366 ** @param xcb_connection_t *c
2367 ** @param xcb_x_print_pcontext_t context
2368 ** @param uint32_t nameLen
2369 ** @param uint8_t pool
2370 ** @param const xcb_x_print_string8_t *name
2371 ** @returns xcb_x_print_print_get_one_attributes_cookie_t
2372 **
2373 *****************************************************************************/
2374
2375 xcb_x_print_print_get_one_attributes_cookie_t
2376 xcb_x_print_print_get_one_attributes_unchecked (xcb_connection_t *c ,
2377 xcb_x_print_pcontext_t context ,
2378 uint32_t nameLen ,
2379 uint8_t pool ,
2380 const xcb_x_print_string8_t *name );
2381
2382
2383 /*****************************************************************************
2384 **
2385 ** xcb_x_print_string8_t * xcb_x_print_print_get_one_attributes_value
2386 **
2387 ** @param const xcb_x_print_print_get_one_attributes_reply_t *R
2388 ** @returns xcb_x_print_string8_t *
2389 **
2390 *****************************************************************************/
2391
2392 xcb_x_print_string8_t *
2393 xcb_x_print_print_get_one_attributes_value (const xcb_x_print_print_get_one_attributes_reply_t *R );
2394
2395
2396 /*****************************************************************************
2397 **
2398 ** int xcb_x_print_print_get_one_attributes_value_length
2399 **
2400 ** @param const xcb_x_print_print_get_one_attributes_reply_t *R
2401 ** @returns int
2402 **
2403 *****************************************************************************/
2404
2405 int
2406 xcb_x_print_print_get_one_attributes_value_length (const xcb_x_print_print_get_one_attributes_reply_t *R );
2407
2408
2409 /*****************************************************************************
2410 **
2411 ** xcb_generic_iterator_t xcb_x_print_print_get_one_attributes_value_end
2412 **
2413 ** @param const xcb_x_print_print_get_one_attributes_reply_t *R
2414 ** @returns xcb_generic_iterator_t
2415 **
2416 *****************************************************************************/
2417
2418 xcb_generic_iterator_t
2419 xcb_x_print_print_get_one_attributes_value_end (const xcb_x_print_print_get_one_attributes_reply_t *R );
2420
2436 /*****************************************************************************
2437 **
2438 ** xcb_x_print_print_get_one_attributes_reply_t * xcb_x_print_print_get_one_attributes_reply
2439 **
2440 ** @param xcb_connection_t *c
2441 ** @param xcb_x_print_print_get_one_attributes_cookie_t cookie
2442 ** @param xcb_generic_error_t **e
2443 ** @returns xcb_x_print_print_get_one_attributes_reply_t *
2444 **
2445 *****************************************************************************/
2446
2447 xcb_x_print_print_get_one_attributes_reply_t *
2448 xcb_x_print_print_get_one_attributes_reply (xcb_connection_t *c ,
2449 xcb_x_print_print_get_one_attributes_cookie_t cookie ,
2450 xcb_generic_error_t **e );
2451
2452 int
2453 xcb_x_print_print_set_attributes_sizeof (const void *_buffer ,
2454 uint32_t attributes_len );
2455
2468 /*****************************************************************************
2469 **
2470 ** xcb_void_cookie_t xcb_x_print_print_set_attributes_checked
2471 **
2472 ** @param xcb_connection_t *c
2473 ** @param xcb_x_print_pcontext_t context
2474 ** @param uint32_t stringLen
2475 ** @param uint8_t pool
2476 ** @param uint8_t rule
2477 ** @param uint32_t attributes_len
2478 ** @param const xcb_x_print_string8_t *attributes
2479 ** @returns xcb_void_cookie_t
2480 **
2481 *****************************************************************************/
2482
2483 xcb_void_cookie_t
2484 xcb_x_print_print_set_attributes_checked (xcb_connection_t *c ,
2485 xcb_x_print_pcontext_t context ,
2486 uint32_t stringLen ,
2487 uint8_t pool ,
2488 uint8_t rule ,
2489 uint32_t attributes_len ,
2490 const xcb_x_print_string8_t *attributes );
2491
2501 /*****************************************************************************
2502 **
2503 ** xcb_void_cookie_t xcb_x_print_print_set_attributes
2504 **
2505 ** @param xcb_connection_t *c
2506 ** @param xcb_x_print_pcontext_t context
2507 ** @param uint32_t stringLen
2508 ** @param uint8_t pool
2509 ** @param uint8_t rule
2510 ** @param uint32_t attributes_len
2511 ** @param const xcb_x_print_string8_t *attributes
2512 ** @returns xcb_void_cookie_t
2513 **
2514 *****************************************************************************/
2515
2516 xcb_void_cookie_t
2517 xcb_x_print_print_set_attributes (xcb_connection_t *c ,
2518 xcb_x_print_pcontext_t context ,
2519 uint32_t stringLen ,
2520 uint8_t pool ,
2521 uint8_t rule ,
2522 uint32_t attributes_len ,
2523 const xcb_x_print_string8_t *attributes );
2524
2534 /*****************************************************************************
2535 **
2536 ** xcb_x_print_print_get_page_dimensions_cookie_t xcb_x_print_print_get_page_dimensions
2537 **
2538 ** @param xcb_connection_t *c
2539 ** @param xcb_x_print_pcontext_t context
2540 ** @returns xcb_x_print_print_get_page_dimensions_cookie_t
2541 **
2542 *****************************************************************************/
2543
2544 xcb_x_print_print_get_page_dimensions_cookie_t
2545 xcb_x_print_print_get_page_dimensions (xcb_connection_t *c ,
2546 xcb_x_print_pcontext_t context );
2547
2560 /*****************************************************************************
2561 **
2562 ** xcb_x_print_print_get_page_dimensions_cookie_t xcb_x_print_print_get_page_dimensions_unchecked
2563 **
2564 ** @param xcb_connection_t *c
2565 ** @param xcb_x_print_pcontext_t context
2566 ** @returns xcb_x_print_print_get_page_dimensions_cookie_t
2567 **
2568 *****************************************************************************/
2569
2570 xcb_x_print_print_get_page_dimensions_cookie_t
2571 xcb_x_print_print_get_page_dimensions_unchecked (xcb_connection_t *c ,
2572 xcb_x_print_pcontext_t context );
2573
2589 /*****************************************************************************
2590 **
2591 ** xcb_x_print_print_get_page_dimensions_reply_t * xcb_x_print_print_get_page_dimensions_reply
2592 **
2593 ** @param xcb_connection_t *c
2594 ** @param xcb_x_print_print_get_page_dimensions_cookie_t cookie
2595 ** @param xcb_generic_error_t **e
2596 ** @returns xcb_x_print_print_get_page_dimensions_reply_t *
2597 **
2598 *****************************************************************************/
2599
2600 xcb_x_print_print_get_page_dimensions_reply_t *
2601 xcb_x_print_print_get_page_dimensions_reply (xcb_connection_t *c ,
2602 xcb_x_print_print_get_page_dimensions_cookie_t cookie ,
2603 xcb_generic_error_t **e );
2604
2605 int
2606 xcb_x_print_print_query_screens_sizeof (const void *_buffer );
2607
2617 /*****************************************************************************
2618 **
2619 ** xcb_x_print_print_query_screens_cookie_t xcb_x_print_print_query_screens
2620 **
2621 ** @param xcb_connection_t *c
2622 ** @returns xcb_x_print_print_query_screens_cookie_t
2623 **
2624 *****************************************************************************/
2625
2626 xcb_x_print_print_query_screens_cookie_t
2627 xcb_x_print_print_query_screens (xcb_connection_t *c );
2628
2641 /*****************************************************************************
2642 **
2643 ** xcb_x_print_print_query_screens_cookie_t xcb_x_print_print_query_screens_unchecked
2644 **
2645 ** @param xcb_connection_t *c
2646 ** @returns xcb_x_print_print_query_screens_cookie_t
2647 **
2648 *****************************************************************************/
2649
2650 xcb_x_print_print_query_screens_cookie_t
2651 xcb_x_print_print_query_screens_unchecked (xcb_connection_t *c );
2652
2653
2654 /*****************************************************************************
2655 **
2656 ** xcb_window_t * xcb_x_print_print_query_screens_roots
2657 **
2658 ** @param const xcb_x_print_print_query_screens_reply_t *R
2659 ** @returns xcb_window_t *
2660 **
2661 *****************************************************************************/
2662
2663 xcb_window_t *
2664 xcb_x_print_print_query_screens_roots (const xcb_x_print_print_query_screens_reply_t *R );
2665
2666
2667 /*****************************************************************************
2668 **
2669 ** int xcb_x_print_print_query_screens_roots_length
2670 **
2671 ** @param const xcb_x_print_print_query_screens_reply_t *R
2672 ** @returns int
2673 **
2674 *****************************************************************************/
2675
2676 int
2677 xcb_x_print_print_query_screens_roots_length (const xcb_x_print_print_query_screens_reply_t *R );
2678
2679
2680 /*****************************************************************************
2681 **
2682 ** xcb_generic_iterator_t xcb_x_print_print_query_screens_roots_end
2683 **
2684 ** @param const xcb_x_print_print_query_screens_reply_t *R
2685 ** @returns xcb_generic_iterator_t
2686 **
2687 *****************************************************************************/
2688
2689 xcb_generic_iterator_t
2690 xcb_x_print_print_query_screens_roots_end (const xcb_x_print_print_query_screens_reply_t *R );
2691
2707 /*****************************************************************************
2708 **
2709 ** xcb_x_print_print_query_screens_reply_t * xcb_x_print_print_query_screens_reply
2710 **
2711 ** @param xcb_connection_t *c
2712 ** @param xcb_x_print_print_query_screens_cookie_t cookie
2713 ** @param xcb_generic_error_t **e
2714 ** @returns xcb_x_print_print_query_screens_reply_t *
2715 **
2716 *****************************************************************************/
2717
2718 xcb_x_print_print_query_screens_reply_t *
2719 xcb_x_print_print_query_screens_reply (xcb_connection_t *c ,
2720 xcb_x_print_print_query_screens_cookie_t cookie ,
2721 xcb_generic_error_t **e );
2722
2732 /*****************************************************************************
2733 **
2734 ** xcb_x_print_print_set_image_resolution_cookie_t xcb_x_print_print_set_image_resolution
2735 **
2736 ** @param xcb_connection_t *c
2737 ** @param xcb_x_print_pcontext_t context
2738 ** @param uint16_t image_resolution
2739 ** @returns xcb_x_print_print_set_image_resolution_cookie_t
2740 **
2741 *****************************************************************************/
2742
2743 xcb_x_print_print_set_image_resolution_cookie_t
2744 xcb_x_print_print_set_image_resolution (xcb_connection_t *c ,
2745 xcb_x_print_pcontext_t context ,
2746 uint16_t image_resolution );
2747
2760 /*****************************************************************************
2761 **
2762 ** xcb_x_print_print_set_image_resolution_cookie_t xcb_x_print_print_set_image_resolution_unchecked
2763 **
2764 ** @param xcb_connection_t *c
2765 ** @param xcb_x_print_pcontext_t context
2766 ** @param uint16_t image_resolution
2767 ** @returns xcb_x_print_print_set_image_resolution_cookie_t
2768 **
2769 *****************************************************************************/
2770
2771 xcb_x_print_print_set_image_resolution_cookie_t
2772 xcb_x_print_print_set_image_resolution_unchecked (xcb_connection_t *c ,
2773 xcb_x_print_pcontext_t context ,
2774 uint16_t image_resolution );
2775
2791 /*****************************************************************************
2792 **
2793 ** xcb_x_print_print_set_image_resolution_reply_t * xcb_x_print_print_set_image_resolution_reply
2794 **
2795 ** @param xcb_connection_t *c
2796 ** @param xcb_x_print_print_set_image_resolution_cookie_t cookie
2797 ** @param xcb_generic_error_t **e
2798 ** @returns xcb_x_print_print_set_image_resolution_reply_t *
2799 **
2800 *****************************************************************************/
2801
2802 xcb_x_print_print_set_image_resolution_reply_t *
2803 xcb_x_print_print_set_image_resolution_reply (xcb_connection_t *c ,
2804 xcb_x_print_print_set_image_resolution_cookie_t cookie ,
2805 xcb_generic_error_t **e );
2806
2816 /*****************************************************************************
2817 **
2818 ** xcb_x_print_print_get_image_resolution_cookie_t xcb_x_print_print_get_image_resolution
2819 **
2820 ** @param xcb_connection_t *c
2821 ** @param xcb_x_print_pcontext_t context
2822 ** @returns xcb_x_print_print_get_image_resolution_cookie_t
2823 **
2824 *****************************************************************************/
2825
2826 xcb_x_print_print_get_image_resolution_cookie_t
2827 xcb_x_print_print_get_image_resolution (xcb_connection_t *c ,
2828 xcb_x_print_pcontext_t context );
2829
2842 /*****************************************************************************
2843 **
2844 ** xcb_x_print_print_get_image_resolution_cookie_t xcb_x_print_print_get_image_resolution_unchecked
2845 **
2846 ** @param xcb_connection_t *c
2847 ** @param xcb_x_print_pcontext_t context
2848 ** @returns xcb_x_print_print_get_image_resolution_cookie_t
2849 **
2850 *****************************************************************************/
2851
2852 xcb_x_print_print_get_image_resolution_cookie_t
2853 xcb_x_print_print_get_image_resolution_unchecked (xcb_connection_t *c ,
2854 xcb_x_print_pcontext_t context );
2855
2871 /*****************************************************************************
2872 **
2873 ** xcb_x_print_print_get_image_resolution_reply_t * xcb_x_print_print_get_image_resolution_reply
2874 **
2875 ** @param xcb_connection_t *c
2876 ** @param xcb_x_print_print_get_image_resolution_cookie_t cookie
2877 ** @param xcb_generic_error_t **e
2878 ** @returns xcb_x_print_print_get_image_resolution_reply_t *
2879 **
2880 *****************************************************************************/
2881
2882 xcb_x_print_print_get_image_resolution_reply_t *
2883 xcb_x_print_print_get_image_resolution_reply (xcb_connection_t *c ,
2884 xcb_x_print_print_get_image_resolution_cookie_t cookie ,
2885 xcb_generic_error_t **e );
2886
2887
2888 #ifdef __cplusplus
2889 }
2890 #endif
2891
2892 #endif
2893